Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5486 - Logrotate suggestion: avoid rotating logs out of existance
Summary: Logrotate suggestion: avoid rotating logs out of existance
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 12:22 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 19:11:11 UTC


Attachments (Terms of Use)

Description Pekka Savola 1999-10-04 12:22:21 UTC
This isn't exactly a bug, but submitting a feature
suggestion here seems as good a place as any.

There is a vital option that IMO should be in logrotate.
As it is, the only way I can think of to avoid your logs
rotating out of existance is to have them mailed to some
account which processes them accordingly.

However, IMO having to mail the old logs in order to be able
to archive them somehow is a huge kludge.
An alternative (not necessary the best one) might be moving
it to a directory and renaming it to [logfile].`date
+%d.%m.%Y` or something.

Comment 1 Erik Troan 1999-11-22 19:11:59 UTC
You can set a very high number of rotations and get the proper affect.
Alternately, a prerotate script could copy the last version of the log
to a special directoyr for archival.


Note You need to log in before you can comment on or make changes to this bug.